Module
Contents
Index 🔎︎

# StrComp Function

Compares two strings and returns an integer value that represents the result of the comparison.

## Syntax:

    StrComp (Text1 As String, Text2 As String[, Compare])

## Return value:

Integer

## Parameter:

Text1: Any string expression

Text2: Any string expression

Compare: This optional parameter sets the comparison method. If Compare = 1, the string comparison is case-sensitive. If Compare = 0, no distinction is made between uppercase and lowercase letters.

### Return value

- If Text1 < Text2 the function returns -1

- If Text1 = Text2 the function returns 0

- If Text1 > Text2 the function returns 1

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleStrComp

    Dim iVar As Single

    Dim sVar As String

        iVar = 123.123

        sVar = Str$(iVar)

        MsgBox strcomp(sVar , Str$(iVar),1)

    End Sub